GetUsedMaterials

Get Dimension Values from Drawing Sheet | NX Open Programming With VB .NET

This journal get’s the name material used in part. Imports SystemImports NXOpenModule NXJournalSub Main (ByVal args() As String)Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()Dim workPart As NXOpen.Part = theSession.Parts.WorkDim pm As NXOpen.PhysicalMaterial()pm = workPart.MaterialManager.PhysicalMaterials.GetUsedMaterialsIf pm.Length = 0 ThenMsgBox(“Material not assigned”)Else MsgBox(“Physical Material ” & pm(0).name)End IfEnd SubEnd Module API Information: PhysicalMaterial Class should be used to …

Get Dimension Values from Drawing Sheet | NX Open Programming With VB .NET Read More »

Get Material Used in Part | Get Material Name | NX Open Programming

This journal get’s the name material used in part. Imports SystemImports NXOpenModule NXJournalSub Main (ByVal args() As String)Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()Dim workPart As NXOpen.Part = theSession.Parts.WorkDim pm As NXOpen.PhysicalMaterial()pm = workPart.MaterialManager.PhysicalMaterials.GetUsedMaterialsIf pm.Length = 0 ThenMsgBox(“Material not assigned”)Else MsgBox(“Physical Material ” & pm(0).name)End IfEnd SubEnd Module API Information: PhysicalMaterial Class should be used to …

Get Material Used in Part | Get Material Name | NX Open Programming Read More »